Bug 141708 - CRASH: closing document while navigator is open ( gen )
Summary: CRASH: closing document while navigator is open ( gen )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2021-04-16 07:35 UTC by Xisco Faulí
Modified: 2021-04-21 13:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (6.99 KB, text/plain)
2021-04-16 11:03 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-04-16 07:35:27 UTC
Steps to reproduce:
1. Open Impress
2. Open the navigator
3. Close the document -> Start center is displayed
4. Open Impress again
5. Close the document again

-> Crash

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: a809b2ab2553e946431699d9d7ac3f6209cbdd6b
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-04-16 07:36:23 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=001cf630f14109b4200b218161418350562713fa

author	Caolán McNamara <caolanm@redhat.com>	2021-03-09 15:51:53 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2021-03-11 10:07:57 +0100
commit	001cf630f14109b4200b218161418350562713fa (patch)
tree	02d0fe2d6a56ac7a0b6d991f455aba90d5b5f780
parent	5229cacba320f829ca0acd6ef79ddbb09d52b2d9 (diff)
register navigator individually in each module that it exists in

Bisected with: bibisect-linux64-7.2

Adding Cc: to Caolán McNamara
Comment 2 Julien Nabet 2021-04-16 11:03:28 UTC
Created attachment 171237 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today + gen rendering, I could reproduce this.

I noticed there were 2 navigator windows when opening Impress the second time, one was filled, the other empty.
Comment 3 Julien Nabet 2021-04-16 11:07:17 UTC
I don't reproduce this with Writer or Calc.
Comment 4 Caolán McNamara 2021-04-17 19:49:27 UTC
amazing, we end up with two navigators in impress. One is created at impress launch, that one grabs focus to its treeview which informs all parents that focus has been changed and SfxFrameWindow_Impl::EventNotify realizes the frame has gained focus and ultimately causes another one to be created during the creation of the first.
Comment 5 Commit Notification 2021-04-18 19:10:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab4a244d980061d8f68766c1b9662e07c268d62c

tdf#141708 wait until float is activated to grab focus

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2021-04-18 20:59:05 UTC
I confirm I don't reproduce the double window navigator or the crash with Caolán's patch.

Thank you Caolán!
Comment 7 Commit Notification 2021-04-21 13:48:37 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c076f7602962cdaaff0acd78256bda75838c4a9e

tdf#141708: sd: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.